> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete validators from a dashboard

> Remove specific validators from a specified dashboard in bulk.



## OpenAPI

````yaml .gitbook/assets/API_spec.json POST /api/v2/validator-dashboards/{dashboard_id}/validators/bulk-deletions
openapi: 3.0.1
info:
  title: beaconcha.in API
  description: >-
    To authenticate your API request beaconcha.in uses API Keys. Set your API
    Key either by:

    - Setting the `Authorization` header in the following format:
    `Authorization: Bearer <your-api-key>`. (recommended)

    - Setting the URL query parameter in the following format:
    `api_key={your_api_key}`.\

    Example:
    `https://beaconcha.in/api/v2/example?field=value&api_key={your_api_key}`
  contact: {}
  version: '2.0'
servers:
  - description: Mainnet
    url: https://beaconcha.in
  - description: Hoodi
    url: https://hoodi.beaconcha.in
security: []
paths:
  /api/v2/validator-dashboards/{dashboard_id}/validators/bulk-deletions:
    post:
      tags:
        - Validator Dashboard Management
      summary: Bulk delete validators from a dashboard
      description: Remove specific validators from a specified dashboard in bulk.
      parameters:
        - name: dashboard_id
          in: path
          description: The ID of the dashboard.
          required: true
          schema:
            type: integer
      requestBody:
        description: >-
          `validators`: Provide an array of validator indices or public keys
          that should get removed from the dashboard.
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/handlers.PublicPostValidatorDashboardValidatorBulkDeletions.request
        required: true
      responses:
        '204':
          description: Validators removed successfully.
          content: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ApiErrorResponse'
      security:
        - ApiKeyInHeader: []
components:
  schemas:
    handlers.PublicPostValidatorDashboardValidatorBulkDeletions.request:
      type: object
      properties:
        validators:
          type: array
          items:
            $ref: '#/components/schemas/handlers.intOrString'
    types.ApiErrorResponse:
      type: object
      properties:
        error:
          type: string
    handlers.intOrString:
      type: object
  securitySchemes:
    ApiKeyInHeader:
      type: apiKey
      description: Use your API key as a Bearer token, e.g. `Bearer <your-api-key>`
      name: Authorization
      in: header

````